function out = __servoPosition__ (obj, value)
  ARDUINO_SERVO_POSITION = 30;
  out = 0;

  pininfo = obj.arduinoobj.get_pin(obj.pins{1})

  if nargin == 2
    if !isnumeric(value) || value < 0 || value > 1.0
      error("@servo.writePosition: value must be between 0 and 1");
    endif
    intval = 255*value;
    [tmp, sz] = sendCommand(obj.arduinoobj, "", ARDUINO_SERVO_POSITION, [pininfo.id intval]);
  else
    [tmp, sz] = sendCommand(obj.arduinoobj, "", ARDUINO_SERVO_POSITION, [pininfo.id]);
    out = tmp{1}/255.0;
  endif
  
endfunction
